<?php
session_start();
define('IFB', '../../'); // htdocs
define('IFBL', IFB.'core/'); // lib path
define('IFBM', 'ip4'); // module ID

$pages = array('network-config', 'linux-deposit', 'irc-chat', 'ftp-server', 'cgu', 'contact', 'emploi');
$pages_css = array('crm');

require IFBL.'ifb.ip4.php';

// $Tpl = new ifbTemplate('crm');
// $Tpl->setLoop('R_CSS', $cssResult);

/*$tpl_var['CONTENT_HEADER'] = '';
$tpl_var['CONTENT_FOOTER'] = '';

foreach($crm as $key => $val)
{
    $tpl_var[$key] = $val;
}*/

$ip4 = new ifb4ip();

function menuMask($maskSelect=0)
{
	global $ip4;	
	arsort($ip4->cidr);
	$maskSelect = array_key_exists($maskSelect, $ip4->cidr) ? $maskSelect : $ip4::CIDR;
	$cm = '';	
	foreach($ip4->cidr as $c => $m) // c=cidr / m=mask
	{
		$cm .= '<option value="'.$c.'"'.(($c == $maskSelect) ? ' selected' : NULL).'>/'.$c.' &nbsp; '.(($c<10) ? '&nbsp;' : '').' '.$m.'</option>'."\n";
	}
	return $cm;
}

function menuSubnet($supNet)
{
	global $ip4;
	$cm = '';	
	foreach($ip4->cidr as $c => $m) // c=cidr / m=mask
	{
		$cm .= '<option value="'.$c.'"'.(($c == $supNet) ? ' selected' : NULL).'>/'.$c.'</option>'."\n";
	}
	return $cm;
}

/*
$Tpl->setTpl('CONTENT', $page);
$Tpl->setTplVars($tpl_var);
$page = $Tpl->display();
exit($page);*/
?>
<html>
<head>
<title>IP4</title>
<link rel="stylesheet" href="ip4net.css" />
</head>
<body>

<form action="" method="get" enctype="multipart/form-data">

<input type="text" id="ip" name="ip" value="<?php echo $ip4->getIp('dec'); ?>" /> 
<select id="cidr" name="cidr">
<?php
echo menuMask($ip4->getIp('cidr'));
?>
</select>

<input type="submit" id="submit" value="Go" />
</form>

<p><pre><?php echo $ip4->getNetwork(); ?></pre></p>

</body>
</html>