<?php
/* PHP IFB.LIB 0.4.x beta $ 2012/05/12 
 * Copyright Mickael Devoldere, All Rights Reserved
 * License: http://www.gnu.org/licenses/gpl-3.0.txt
 * $Id: index.php $ Mike - CRM edition 04/2013
*/
session_start();
define('IFB', './'); // htdocs
define('IFBL', IFB.'core/'); // lib path
define('IFBM', 'crm'); // module ID

$pages[] = 'home'; // valid pages table (depreciated, used for 0.3.x compatibility)

$p = isset($_GET['p']) ? htmlspecialchars(basename($_GET['p'])) : 'home';

if(!file_exists(IFBL.'templates/'.$p.'.html'))
	exit('Page inexistante ou lien non valide.');

require IFBL.'ifb.cache.php';
require IFBL.'ifb.tpl.php';

$Tpl = new ifbTemplate('crm');

if($p == 'home')
{
	$tpl_var['CONTENT_HEADER'] = '<h1>TSRIT-TRTE.CRM</h1>';
	$tpl_var['CONTENT_FOOTER'] = '';
	$pages_css = array('crm');
}
else
{
	$Tpl->setTpl('CONTENT_HEADER', 'header');
	$tpl_var['CONTENT_FOOTER'] = '<aside><a href="/">Accueil</a> <a href="Javascript:history.go(-1);">Retour</a> <a href="#">Haut de la page</a></aside>';
	$pages_css = array('tuto');
}

if($p == 'aides-memoire')
{
	$tpl_var['URL_SHEETS'] = 'http://deb.tsrit-trte.crm/aides-memoire/';
}

// $pages_css = array('crm');
$pages_js = array('baseui');

foreach($pages_css as $tCss)
{
	$cssResult[] = array
	(	
		'CSSFILE' => $tCss,
	);
}

foreach($pages_js as $tjs)
{
	$jsResult[] = array
	(	
		'JSFILE' => $tjs,
	);
}

$Tpl->setLoop('R_CSS', $cssResult);
$Tpl->setLoop('R_JS', $jsResult);
$tpl_var['TITLE'] = 'TSRIT-TRTE.CRM - '.$p;

/* if(file_exists(IFBL.'apps/'.$p.'.php'))
	require IFBL.'apps/'.$p.'.php'; */

$Tpl->setTpl('CONTENT', $p);
$Tpl->setTplVars($tpl_var);
$page = $Tpl->display();
exit($page);
?>
